Subject: 25.1.50; end-of-defun jumps too far

From: Marcin Borkowski <[email-masked]>
Date: Tue, 13 Sep 2016 14:53:14 +0200

Hi Emacs bug team,

consider an Emacs Lisp buffer like this:

--8<---------------cut here---------------start------------->8---
(defun a ())

(defun b ())

(defun c ())
--8<---------------cut here---------------end--------------->8---

Place the point anywhere on the first line and press C-M-e
(`end-of-defun') twice.  Now place the point back on the first line and
press C-u 2 C-M-e.  The result is (and should be) the same as before.

Now consider this buffer:

--8<---------------cut here---------------start------------->8---
(defun a ())
(defun b ())
(defun c ())
--8<---------------cut here---------------end--------------->8---

Repeat the same steps as above.  After pressing C-M-e twice (starting on
the first line), the point lands right before "(defun c ())".  After
pressing C-u 2 C-M-e, it lands _after_ that defun.  I am quite sure it
should be in the same place as after C-M-e C-M-e.

I use GNU Emacs 25.1.50.6 (commit b12fac8).  I tested this on emacs -Q.

Best,
Marcin Borkowski

In GNU Emacs 25.1.50.6 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.6)
 of 2016-08-03 built on jane
Repository revision: 0f690c4a0e4e98a929b5439f6076539bbea59242
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 LIBSYSTEMD

Important settings:
  value of $LC_COLLATE: pl_PL.UTF-8
  value of $LC_CTYPE: pl_PL.UTF-8
  value of $LC_MESSAGES: pl_PL.UTF-8
  value of $LANG: pl_PL.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  beeminder-org-integration-mode: t
  TeX-PDF-mode: t
  pdf-occur-global-minor-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  savehist-mode: t
  global-flycheck-mode: t
  projectile-global-mode: t
  projectile-mode: t
  ivy-mode: t
  show-paren-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Memory information:
((conses 16 1884431 142870)
 (symbols 48 85829 0)
 (miscs 40 9808 8727)
 (strings 32 324415 120559)
 (string-bytes 1 12120978)
 (vectors 16 127614)
 (vector-slots 8 2717980 77714)
 (floats 8 31935 16669)
 (intervals 56 171322 1289)
 (buffers 976 132)
 (heap 1024 236107 10150))

-- 
Marcin Borkowski